package com.eactive.eai.common.jdbc;

import java.io.InputStream;
import java.io.Reader;
import java.math.BigDecimal;
import java.net.URL;
import java.sql.Array;
import java.sql.Blob;
import java.sql.CallableStatement;
import java.sql.Clob;
import java.sql.Connection;
import java.sql.Date;
import java.sql.NClob;
import java.sql.ParameterMetaData;
import java.sql.Ref;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.RowId;
import java.sql.SQLException;
import java.sql.SQLWarning;
import java.sql.SQLXML;
import java.sql.Time;
import java.sql.Timestamp;
import java.util.Calendar;
import java.util.Map;


public class CallableStatementProxy implements CallableStatement {
//    private Connection con;
    private CallableStatement stmt;
//    private String query;

    public CallableStatementProxy(Connection con, String query, CallableStatement stmt) {
//        this.con = con;
//        this.query = query;
    	if (stmt != null)
    		this.stmt = stmt;// 20250910 uwf 주석제거
    }

    public void registerOutParameter(int parameterIndex, int sqlType)
        throws SQLException {
        stmt.registerOutParameter(parameterIndex, sqlType);
    }

    public void registerOutParameter(int parameterIndex, int sqlType, int scale)
        throws SQLException {
        stmt.registerOutParameter(parameterIndex, sqlType, scale);
    }

    public boolean wasNull() throws SQLException {
        return stmt.wasNull();
    }

    public String getString(int parameterIndex) throws SQLException {
        return stmt.getString(parameterIndex);
    }

    public boolean getBoolean(int parameterIndex) throws SQLException {
        return stmt.getBoolean(parameterIndex);
    }

    public byte getByte(int parameterIndex) throws SQLException {
        return stmt.getByte(parameterIndex);
    }

    public short getShort(int parameterIndex) throws SQLException {
        return stmt.getShort(parameterIndex);
    }

    public int getInt(int parameterIndex) throws SQLException {
        return stmt.getInt(parameterIndex);
    }

    public long getLong(int parameterIndex) throws SQLException {
        return stmt.getLong(parameterIndex);
    }

    public float getFloat(int parameterIndex) throws SQLException {
        return stmt.getFloat(parameterIndex);
    }

    public double getDouble(int parameterIndex) throws SQLException {
        return stmt.getDouble(parameterIndex);
    }

    @SuppressWarnings("deprecation")
	public BigDecimal getBigDecimal(int parameterIndex, int scale)
        throws SQLException {
        return stmt.getBigDecimal(parameterIndex, scale);
    }

    public byte[] getBytes(int parameterIndex) throws SQLException {
        return stmt.getBytes(parameterIndex);
    }

    public java.sql.Date getDate(int parameterIndex) throws SQLException {
        return stmt.getDate(parameterIndex);
    }

    public java.sql.Time getTime(int parameterIndex) throws SQLException {
        return stmt.getTime(parameterIndex);
    }

    public java.sql.Timestamp getTimestamp(int parameterIndex)
        throws SQLException {
        return stmt.getTimestamp(parameterIndex);
    }

    public Object getObject(int parameterIndex) throws SQLException {
        return stmt.getObject(parameterIndex);
    }

    public BigDecimal getBigDecimal(int parameterIndex)
        throws SQLException {
        return stmt.getBigDecimal(parameterIndex);
    }

//	public Object getObject(int i, Map map) throws SQLException {
//        return stmt.getObject(i, map);
//    }

    public Ref getRef(int i) throws SQLException {
        return stmt.getRef(i);
    }

    public Blob getBlob(int i) throws SQLException {
        return stmt.getBlob(i);
    }

    public Clob getClob(int i) throws SQLException {
        return stmt.getClob(i);
    }

    public Array getArray(int i) throws SQLException {
        return stmt.getArray(i);
    }

    public java.sql.Date getDate(int parameterIndex, Calendar cal)
        throws SQLException {
        return stmt.getDate(parameterIndex, cal);
    }

    public java.sql.Time getTime(int parameterIndex, Calendar cal)
        throws SQLException {
        return stmt.getTime(parameterIndex, cal);
    }

    public java.sql.Timestamp getTimestamp(int parameterIndex, Calendar cal)
        throws SQLException {
        return stmt.getTimestamp(parameterIndex, cal);
    }

    public void registerOutParameter(int paramIndex, int sqlType,
        String typeName) throws SQLException {
        stmt.registerOutParameter(paramIndex, sqlType, typeName);
    }

    //+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    public ResultSet executeQuery() throws SQLException {
        return new ResultSetProxy(this, stmt.executeQuery());
    }

    public int executeUpdate() throws SQLException {
        return stmt.executeUpdate();
    }

    public void setNull(int parameterIndex, int sqlType)
        throws SQLException {
        stmt.setNull(parameterIndex, sqlType);
    }

    public void setBoolean(int parameterIndex, boolean x)
        throws SQLException {
        stmt.setBoolean(parameterIndex, x);
    }

    public void setByte(int parameterIndex, byte x) throws SQLException {
        stmt.setByte(parameterIndex, x);
    }

    public void setShort(int parameterIndex, short x) throws SQLException {
        stmt.setShort(parameterIndex, x);
    }

    public void setInt(int parameterIndex, int x) throws SQLException {
        stmt.setInt(parameterIndex, x);
    }

    public void setLong(int parameterIndex, long x) throws SQLException {
        stmt.setLong(parameterIndex, x);
    }

    public void setFloat(int parameterIndex, float x) throws SQLException {
        stmt.setFloat(parameterIndex, x);
    }

    public void setDouble(int parameterIndex, double x)
        throws SQLException {
        stmt.setDouble(parameterIndex, x);
    }

    public void setBigDecimal(int parameterIndex, BigDecimal x)
        throws SQLException {
        stmt.setBigDecimal(parameterIndex, x);
    }

    public void setString(int parameterIndex, String x)
        throws SQLException {
        stmt.setString(parameterIndex, x);
    }

    public void setBytes(int parameterIndex, byte[] x)
        throws SQLException {
        stmt.setBytes(parameterIndex, x);
    }

    public void setDate(int parameterIndex, java.sql.Date x)
        throws SQLException {
        stmt.setDate(parameterIndex, x);
    }

    public void setTime(int parameterIndex, java.sql.Time x)
        throws SQLException {
        stmt.setTime(parameterIndex, x);
    }

    public void setTimestamp(int parameterIndex, java.sql.Timestamp x)
        throws SQLException {
        stmt.setTimestamp(parameterIndex, x);
    }

    public void setAsciiStream(int parameterIndex, java.io.InputStream x,
        int length) throws SQLException {
        stmt.setAsciiStream(parameterIndex, x, length);
    }

    @SuppressWarnings("deprecation")
	public void setUnicodeStream(int parameterIndex, java.io.InputStream x,
        int length) throws SQLException {
        stmt.setUnicodeStream(parameterIndex, x, length);
    }

    public void setBinaryStream(int parameterIndex, java.io.InputStream x,
        int length) throws SQLException {
        stmt.setBinaryStream(parameterIndex, x, length);
    }

    public void clearParameters() throws SQLException {
        stmt.clearParameters();
    }

    public void setObject(int parameterIndex, Object x, int targetSqlType,
        int scale) throws SQLException {
        stmt.setObject(parameterIndex, x, targetSqlType, scale);
    }

    public void setObject(int parameterIndex, Object x, int targetSqlType)
        throws SQLException {
        stmt.setObject(parameterIndex, x, targetSqlType);
    }

    public void setObject(int parameterIndex, Object x)
        throws SQLException {
        stmt.setObject(parameterIndex, x);
    }

    public boolean execute() throws SQLException {
        return stmt.execute();
    }

    public void addBatch() throws SQLException {
        stmt.addBatch();
    }

    public void setCharacterStream(int parameterIndex, java.io.Reader reader,
        int length) throws SQLException {
        stmt.setCharacterStream(parameterIndex, reader, length);
    }

    public void setRef(int i, Ref x) throws SQLException {
        stmt.setRef(i, x);
    }

    public void setBlob(int i, Blob x) throws SQLException {
        stmt.setBlob(i, x);
    }

    public void setClob(int i, Clob x) throws SQLException {
        stmt.setClob(i, x);
    }

    public void setArray(int i, Array x) throws SQLException {
        stmt.setArray(i, x);
    }

    public ResultSetMetaData getMetaData() throws SQLException {
        return stmt.getMetaData();
    }

    public void setDate(int parameterIndex, java.sql.Date x, Calendar cal)
        throws SQLException {
        stmt.setDate(parameterIndex, x, cal);
    }

    public void setTime(int parameterIndex, java.sql.Time x, Calendar cal)
        throws SQLException {
        stmt.setTime(parameterIndex, x, cal);
    }

    public void setTimestamp(int parameterIndex, java.sql.Timestamp x,
        Calendar cal) throws SQLException {
        stmt.setTimestamp(parameterIndex, x, cal);
    }

    public void setNull(int paramIndex, int sqlType, String typeName)
        throws SQLException {
        stmt.setNull(paramIndex, sqlType, typeName);
    }

    //++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    public ResultSet executeQuery(String sql) throws SQLException {
        return new ResultSetProxy(this, stmt.executeQuery(sql));
    }

    public int executeUpdate(String sql) throws SQLException {
        return stmt.executeUpdate(sql);
    }

    public void close() throws SQLException {
        stmt.close();
    }

    public int getMaxFieldSize() throws SQLException {
        return stmt.getMaxFieldSize();
    }

    public void setMaxFieldSize(int max) throws SQLException {
        stmt.setMaxFieldSize(max);
    }

    public int getMaxRows() throws SQLException {
        return stmt.getMaxRows();
    }

    public void setMaxRows(int max) throws SQLException {
        stmt.setMaxRows(max);
    }

    public void setEscapeProcessing(boolean enable) throws SQLException {
        stmt.setEscapeProcessing(enable);
    }

    public int getQueryTimeout() throws SQLException {
        return stmt.getQueryTimeout();
    }

    public void setQueryTimeout(int seconds) throws SQLException {
        stmt.setQueryTimeout(seconds);
    }

    public void cancel() throws SQLException {
        stmt.cancel();
    }

    public SQLWarning getWarnings() throws SQLException {
        return stmt.getWarnings();
    }

    public void clearWarnings() throws SQLException {
        stmt.clearWarnings();
    }

    public void setCursorName(String name) throws SQLException {
        stmt.setCursorName(name);
    }

    public boolean execute(String sql) throws SQLException {
        return stmt.execute(sql);
    }

    public ResultSet getResultSet() throws SQLException {
        return new ResultSetProxy(this, stmt.getResultSet());
    }

    public int getUpdateCount() throws SQLException {
        return stmt.getUpdateCount();
    }

    public boolean getMoreResults() throws SQLException {
        return stmt.getMoreResults();
    }

    public void setFetchDirection(int direction) throws SQLException {
        stmt.setFetchDirection(direction);
    }

    public int getFetchDirection() throws SQLException {
        return stmt.getFetchDirection();
    }

    public void setFetchSize(int rows) throws SQLException {
        stmt.setFetchSize(rows);
    }

    public int getFetchSize() throws SQLException {
        return stmt.getFetchSize();
    }

    public int getResultSetConcurrency() throws SQLException {
        return stmt.getResultSetConcurrency();
    }

    public int getResultSetType() throws SQLException {
        return stmt.getResultSetType();
    }

    public void addBatch(String sql) throws SQLException {
        stmt.addBatch(sql);
    }

    public void clearBatch() throws SQLException {
        stmt.clearBatch();
    }

    public int[] executeBatch() throws SQLException {
        return stmt.executeBatch();
    }

    public Connection getConnection() throws SQLException {
        return stmt.getConnection();
    }



    // BEGIN_COMMENT_FOR_JAVA_1.3
    // END_COMMENT_FOR_JAVA_1.3

    public Array getArray(String arg0) throws SQLException
    {
        return null;
    }

    public BigDecimal getBigDecimal(String arg0) throws SQLException
    {
        return stmt.getBigDecimal(arg0);
    }

    public Blob getBlob(String arg0) throws SQLException
    {
        return stmt.getBlob(arg0);
    }

    public boolean getBoolean(String arg0) throws SQLException
    {
        return stmt.getBoolean(arg0);
    }

    public byte getByte(String arg0) throws SQLException
    {
        return stmt.getByte(arg0);
    }

    public byte[] getBytes(String arg0) throws SQLException
    {
        return stmt.getBytes(arg0);
    }

    public Clob getClob(String arg0) throws SQLException
    {
        return stmt.getClob(arg0);
    }

    public Date getDate(String arg0) throws SQLException
    {
        return stmt.getDate(arg0);
    }

    public Date getDate(String arg0, Calendar arg1) throws SQLException
    {
        return stmt.getDate(arg0,arg1);
    }

    public double getDouble(String arg0) throws SQLException
    {
        return stmt.getDouble(arg0);
    }

    public float getFloat(String arg0) throws SQLException
    {
        return stmt.getFloat(arg0);
    }

    public int getInt(String arg0) throws SQLException
    {
        return stmt.getInt(arg0);
    }

    public long getLong(String arg0) throws SQLException
    {
        return stmt.getLong(arg0);
    }

    public Object getObject(String arg0) throws SQLException
    {
        return stmt.getObject(arg0);
    }

//	public Object getObject(String arg0, Map arg1) throws SQLException
//    {
//        return stmt.getObject(arg0,arg1);
//    }

    public Ref getRef(String arg0) throws SQLException
    {
        return stmt.getRef(arg0);
    }

    public short getShort(String arg0) throws SQLException
    {
        return stmt.getShort(arg0);
    }

    public String getString(String arg0) throws SQLException
    {
        return stmt.getString(arg0);
    }

    public Time getTime(String arg0) throws SQLException
    {
        return stmt.getTime(arg0);
    }

    public Time getTime(String arg0, Calendar arg1) throws SQLException
    {
        return stmt.getTime(arg0,arg1);
    }

    public Timestamp getTimestamp(String arg0) throws SQLException
    {
        return stmt.getTimestamp(arg0);
    }

    public Timestamp getTimestamp(String arg0, Calendar arg1) throws SQLException
    {
        return stmt.getTimestamp(arg0,arg1);
    }

    public URL getURL(String arg0) throws SQLException
    {
        return stmt.getURL(arg0);
    }

    public URL getURL(int arg0) throws SQLException
    {
        return stmt.getURL(arg0);
    }

    public void registerOutParameter(String arg0, int arg1) throws SQLException
    {
        stmt.registerOutParameter(arg0,arg1);
    }

    public void registerOutParameter(String arg0, int arg1, String arg2) throws SQLException
    {
        stmt.registerOutParameter(arg0,arg1,arg2);
    }

    public void registerOutParameter(String arg0, int arg1, int arg2) throws SQLException
    {
        stmt.registerOutParameter(arg0,arg1,arg2);
    }

    public void setAsciiStream(String arg0, InputStream arg1, int arg2) throws SQLException
    {
        stmt.setAsciiStream(arg0,arg1,arg2);
    }

    public void setBigDecimal(String arg0, BigDecimal arg1) throws SQLException
    {
        stmt.setBigDecimal(arg0,arg1);
    }

    public void setBinaryStream(String arg0, InputStream arg1, int arg2) throws SQLException
    {
        stmt.setBinaryStream(arg0,arg1,arg2);
    }

    public void setBoolean(String arg0, boolean arg1) throws SQLException
    {
        stmt.setBoolean(arg0,arg1);
    }

    public void setByte(String arg0, byte arg1) throws SQLException
    {
        stmt.setByte(arg0,arg1);
    }

    public void setBytes(String arg0, byte[] arg1) throws SQLException
    {
        stmt.setBytes(arg0,arg1);
    }

    public void setCharacterStream(String arg0, Reader arg1, int arg2) throws SQLException
    {
        stmt.setCharacterStream(arg0,arg1,arg2);
    }

    public void setDate(String arg0, Date arg1) throws SQLException
    {
        stmt.setDate(arg0,arg1);
    }

    public void setDate(String arg0, Date arg1, Calendar arg2) throws SQLException
    {
        stmt.setDate(arg0,arg1,arg2);
    }

    public void setDouble(String arg0, double arg1) throws SQLException
    {
        stmt.setDouble(arg0,arg1);
    }

    public void setFloat(String arg0, float arg1) throws SQLException
    {
        stmt.setFloat(arg0,arg1);
    }

    public void setInt(String arg0, int arg1) throws SQLException
    {
        stmt.setInt(arg0,arg1);
    }

    public void setLong(String arg0, long arg1) throws SQLException
    {
        stmt.setLong(arg0,arg1);
    }

    public void setNull(String arg0, int arg1) throws SQLException
    {
        stmt.setNull(arg0,arg1);
    }

    public void setNull(String arg0, int arg1, String arg2) throws SQLException
    {
        stmt.setNull(arg0,arg1,arg2);
    }

    public void setObject(String arg0, Object arg1) throws SQLException
    {
        stmt.setObject(arg0,arg1);
    }

    public void setObject(String arg0, Object arg1, int arg2) throws SQLException
    {
        stmt.setObject(arg0,arg1,arg2);
    }

    public void setObject(String arg0, Object arg1, int arg2, int arg3) throws SQLException
    {
        stmt.setObject(arg0,arg1,arg2,arg3);
    }

    public void setShort(String arg0, short arg1) throws SQLException
    {
        stmt.setShort(arg0,arg1);
    }

    public void setString(String arg0, String arg1) throws SQLException
    {
        stmt.setString(arg0,arg1);
    }

    public void setTime(String arg0, Time arg1) throws SQLException
    {
        stmt.setTime(arg0,arg1);
    }

    public void setTime(String arg0, Time arg1, Calendar arg2) throws SQLException
    {
        stmt.setTime(arg0,arg1,arg2);
    }

    public void setTimestamp(String arg0, Timestamp arg1) throws SQLException
    {
        stmt.setTimestamp(arg0,arg1);
    }

    public void setTimestamp(String arg0, Timestamp arg1, Calendar arg2) throws SQLException
    {
        stmt.setTimestamp(arg0,arg1,arg2);
    }

    public void setURL(String arg0, URL arg1) throws SQLException
    {
        stmt.setURL(arg0,arg1);
    }

    public ParameterMetaData getParameterMetaData() throws SQLException
    {
        return stmt.getParameterMetaData();
    }

    public void setURL(int arg0, URL arg1) throws SQLException
    {
        stmt.setURL(arg0,arg1);
    }

    public boolean execute(String arg0, String[] arg1) throws SQLException
    {
        return stmt.execute(arg0,arg1);
    }

    public boolean execute(String arg0, int arg1) throws SQLException
    {
        return stmt.execute(arg0,arg1);
    }

    public boolean execute(String arg0, int[] arg1) throws SQLException
    {
        return stmt.execute(arg0,arg1);
    }

    public int executeUpdate(String arg0, String[] arg1) throws SQLException
    {
        return stmt.executeUpdate(arg0,arg1);
    }

    public int executeUpdate(String arg0, int arg1) throws SQLException
    {
        return stmt.executeUpdate(arg0,arg1);
    }

    public int executeUpdate(String arg0, int[] arg1) throws SQLException
    {
        return stmt.executeUpdate(arg0,arg1);
    }

    public ResultSet getGeneratedKeys() throws SQLException
    {
        return stmt.getGeneratedKeys();
    }

    public boolean getMoreResults(int arg0) throws SQLException
    {
        return stmt.getMoreResults(arg0);
    }

    public int getResultSetHoldability() throws SQLException
    {
        return stmt.getResultSetHoldability();
    }

	public void setRowId(int parameterIndex, RowId x) throws SQLException {

		
	}

	public void setNString(int parameterIndex, String value)
			throws SQLException {

		
	}

	public void setNCharacterStream(int parameterIndex, Reader value,
			long length) throws SQLException {

		
	}

	public void setNClob(int parameterIndex, NClob value) throws SQLException {

		
	}

	public void setClob(int parameterIndex, Reader reader, long length)
			throws SQLException {

		
	}

	public void setBlob(int parameterIndex, InputStream inputStream, long length)
			throws SQLException {

		
	}

	
	public void setNClob(int parameterIndex, Reader reader, long length)
			throws SQLException {

		
	}

	
	public void setSQLXML(int parameterIndex, SQLXML xmlObject)
			throws SQLException {

		
	}

	
	public void setAsciiStream(int parameterIndex, InputStream x, long length)
			throws SQLException {

		
	}

	
	public void setBinaryStream(int parameterIndex, InputStream x, long length)
			throws SQLException {

		
	}

	
	public void setCharacterStream(int parameterIndex, Reader reader,
			long length) throws SQLException {

		
	}

	
	public void setAsciiStream(int parameterIndex, InputStream x)
			throws SQLException {

		
	}

	
	public void setBinaryStream(int parameterIndex, InputStream x)
			throws SQLException {

		
	}

	
	public void setCharacterStream(int parameterIndex, Reader reader)
			throws SQLException {

		
	}

	
	public void setNCharacterStream(int parameterIndex, Reader value)
			throws SQLException {

		
	}

	
	public void setClob(int parameterIndex, Reader reader) throws SQLException {

		
	}

	
	public void setBlob(int parameterIndex, InputStream inputStream)
			throws SQLException {

		
	}

	
	public void setNClob(int parameterIndex, Reader reader) throws SQLException {

		
	}

	
	public boolean isClosed() throws SQLException {

		return false;
	}

	
	public void setPoolable(boolean poolable) throws SQLException {

		
	}

	
	public boolean isPoolable() throws SQLException {

		return false;
	}

	
	public <T> T unwrap(Class<T> iface) throws SQLException {

		return null;
	}

	
	public boolean isWrapperFor(Class<?> iface) throws SQLException {

		return false;
	}

//	
//	public Object getObject(int parameterIndex, Map<String, Class<?>> map)
//			throws SQLException {
//
//		return null;
//	}

//	
//	public Object getObject(String parameterName, Map<String, Class<?>> map)
//			throws SQLException {
//
//		return null;
//	}

	
	public RowId getRowId(int parameterIndex) throws SQLException {

		return null;
	}

	
	public RowId getRowId(String parameterName) throws SQLException {

		return null;
	}

	
	public void setRowId(String parameterName, RowId x) throws SQLException {

		
	}

	
	public void setNString(String parameterName, String value)
			throws SQLException {

		
	}

	
	public void setNCharacterStream(String parameterName, Reader value,
			long length) throws SQLException {

		
	}

	
	public void setNClob(String parameterName, NClob value) throws SQLException {

		
	}

	
	public void setClob(String parameterName, Reader reader, long length)
			throws SQLException {

		
	}

	
	public void setBlob(String parameterName, InputStream inputStream,
			long length) throws SQLException {

		
	}

	
	public void setNClob(String parameterName, Reader reader, long length)
			throws SQLException {

		
	}

	
	public NClob getNClob(int parameterIndex) throws SQLException {

		return null;
	}

	
	public NClob getNClob(String parameterName) throws SQLException {

		return null;
	}

	
	public void setSQLXML(String parameterName, SQLXML xmlObject)
			throws SQLException {

		
	}

	
	public SQLXML getSQLXML(int parameterIndex) throws SQLException {

		return null;
	}

	
	public SQLXML getSQLXML(String parameterName) throws SQLException {

		return null;
	}

	
	public String getNString(int parameterIndex) throws SQLException {

		return null;
	}

	
	public String getNString(String parameterName) throws SQLException {

		return null;
	}

	
	public Reader getNCharacterStream(int parameterIndex) throws SQLException {

		return null;
	}

	
	public Reader getNCharacterStream(String parameterName) throws SQLException {

		return null;
	}

	
	public Reader getCharacterStream(int parameterIndex) throws SQLException {

		return null;
	}

	
	public Reader getCharacterStream(String parameterName) throws SQLException {

		return null;
	}

	
	public void setBlob(String parameterName, Blob x) throws SQLException {

		
	}

	
	public void setClob(String parameterName, Clob x) throws SQLException {

		
	}

	
	public void setAsciiStream(String parameterName, InputStream x, long length)
			throws SQLException {

		
	}

	
	public void setBinaryStream(String parameterName, InputStream x, long length)
			throws SQLException {

		
	}

	
	public void setCharacterStream(String parameterName, Reader reader,
			long length) throws SQLException {

		
	}

	
	public void setAsciiStream(String parameterName, InputStream x)
			throws SQLException {

		
	}

	
	public void setBinaryStream(String parameterName, InputStream x)
			throws SQLException {

		
	}

	
	public void setCharacterStream(String parameterName, Reader reader)
			throws SQLException {

		
	}

	
	public void setNCharacterStream(String parameterName, Reader value)
			throws SQLException {

		
	}

	
	public void setClob(String parameterName, Reader reader)
			throws SQLException {

		
	}

	
	public void setBlob(String parameterName, InputStream inputStream)
			throws SQLException {

		
	}

	
	public void setNClob(String parameterName, Reader reader)
			throws SQLException {

		
	}

	public void closeOnCompletion() throws SQLException {
		
	}

	public boolean isCloseOnCompletion() throws SQLException {
		return false;
	}

	@Override
	public Object getObject(int parameterIndex, Map<String, Class<?>> map)
			throws SQLException {
		return null;
	}

	@Override
	public Object getObject(String parameterName, Map<String, Class<?>> map)
			throws SQLException {
		return null;
	}

	public <T> T getObject(int parameterIndex, Class<T> type)
			throws SQLException {
		return null;
	}

	public <T> T getObject(String parameterName, Class<T> type)
			throws SQLException {
		return null;
	}
}
